aboutsummaryrefslogtreecommitdiffstats
path: root/extra/unrar/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-05-25 09:07:16 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2009-05-25 09:07:16 +0000
commit0c61b163db4bab4466576a57b0eadd8f1bfdad6a (patch)
treef7143cb97cfac3bfab54a389a281ed19360960e2 /extra/unrar/APKBUILD
parente074ea27bce8b57c4805f5e068bff17f04cc170b (diff)
downloadaports-0c61b163db4bab4466576a57b0eadd8f1bfdad6a.tar.gz
aports-0c61b163db4bab4466576a57b0eadd8f1bfdad6a.tar.bz2
aports-0c61b163db4bab4466576a57b0eadd8f1bfdad6a.tar.xz
extra/unrar: new aport
Diffstat (limited to 'extra/unrar/APKBUILD')
-rw-r--r--extra/unrar/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/extra/unrar/APKBUILD b/extra/unrar/APKBUILD
new file mode 100644
index 0000000000..3bb9ad5dd7
--- /dev/null
+++ b/extra/unrar/APKBUILD
@@ -0,0 +1,25 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=unrar
+pkgver=3.9.3
+pkgrel=0
+pkgdesc="The RAR uncompression program"
+url="http://www.rarlab.com"
+license="GPL"
+depends="uclibc uclibc++ libgcc"
+makedepends="uclibc++-dev"
+subpackages="$pkgname-doc"
+source="http://www.rarlab.com/rar/unrarsrc-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname"
+
+ export CXX=g++-uc
+
+ make -f makefile.unix || return 1
+ install -Dm755 unrar "$pkgdir"/usr/bin/unrar
+
+ install -Dm644 license.txt "$pkgdir/usr/share/licenses/$pkgname/license.txt"
+
+}
+
+md5sums="94963c803ea2398146d309b3d398c490 unrarsrc-3.9.3.tar.gz"